import { OnInit } from '@angular/core';
import { Store } from '@ngxs/store';
import { SmzMenuItem } from '../../smz-menu/models/smz-menu-item';
import * as i0 from "@angular/core";
export declare class ButtonActionsDirective implements OnInit {
    private store;
    item: SmzMenuItem;
    data: any;
    constructor(store: Store);
    ngOnInit(): void;
    applyFeatures(): void;
    onClick(event: any): void;
    resolveCommand(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonActionsDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ButtonActionsDirective, "[buttonAction]", never, { "item": { "alias": "item"; "required": false; }; "data": { "alias": "data"; "required": false; }; }, {}, never, never, false, never>;
}
